!```````````````````````````````````````````````````````````````````
module radn_BBf_mem_mod

!+ Memory and parameters specific to black body calculations

use univ_kind_defs_mod, only: f4

implicit none

private
 
integer, public, parameter ::  BBSIZE = 351,  &   ! Dimension of BBPLCK
                               MTMAX = 350       ! L_BBSIZE - 1

real(f4), public, allocatable, dimension(:) :: BBP

real(f4), public, dimension(BBSIZE) :: BBPLCK
real(f4), public :: bbg,deltanu,rdelnu,egognd,eg15gnd

data deltanu / 3.80e4_f4 /

!now set in driver: data egognd / 1.0_f4 /
!now set in driver: data eg15gnd / 1.0_f4 /

include 'radn_BBdata.f90'    ! Fill bbplck array

end module radn_BBf_mem_mod
