!```````````````````````````````````````````````````````````````````
module radn_input_mod

!+

implicit none


contains


!```````````````````````````````````````````````````````````````````
subroutine radn_input

!+ Radiation routine to input "stuff"

use univ_maxlen_string_mod, only: MAX_FILE_PATH_LEN
use radn_netflux_mem_mod, only: fluxnet
use namelist_bspec_mod, only: default_input_data_dir_bspec

implicit none

!=== Argument declarations:

! NONE

!== Local declarations:

character(len=MAX_FILE_PATH_LEN) :: str_tmp

!=== Executable statements:

!*** Read solar net flux file for GETFLUX routine; file has one long record:

str_tmp = trim(default_input_data_dir_bspec)//'/flux.data'
open(33, file=trim(str_tmp), status='old', form='unformatted')
read (33) fluxnet
close(33)

end subroutine radn_input


end module radn_input_mod
