!```````````````````````````````````````````````````````````````````
module radn_main_mem_mod

!+ Module to support radiation routine memory requirements

use univ_kind_defs_mod, only: f4

implicit none

integer :: rdlyr_m, rdlev_t, rdlev_f, fmpc, fmcut, rm1, rm2, rm3, idx01,  &
     idx02, idx03, fmcnt

real(f4), allocatable, dimension(:) :: u, x, yp, yt, y2, xs, psp, pst, xo,  &
     po, fo, irtotal, ir15dn, ir15up, ir15net, ir15, iroutdn, iroutup,  &
     ironet, irout, irnet, suntot, tl, pl, ym, sco2, sco2p, fluxes, sdust,  &
     pl2, tl2, obft, obfb
integer, allocatable, dimension(:) :: obe, oblt, oblb

real(f4) :: acosz, scosz, tg, DUST_tautot_ref_pr

end module radn_main_mem_mod
